Subject: bug#34138: 27.0.50; Delayed display of PDF file images

From: martin rudalics <[email-masked]>
Date: Fri, 25 Jan 2019 10:44:19 +0100

> Both, pdf-tools and doc-view, need a way to be notified when a new
 > window of a PDF buffer is created, such that a window-specific overlay
 > can be created.  This allows for different windows to be able to display
 > different pages of some PDF.  Apparently this should happen *before*
 > re-display.

Why does the window have to be "new"?  What happens when an existing
window regardless of whether it shows this or another PDF already (or
some completely unrelated buffer) is used for displaying a PDF?

I suppose this is an idiosyncrasy of 'image-mode' but I have yet to
find out why such a construction has been chosen.

martin